powered by Jive Software

Upgrading Jetty version in openfire without upgrading Openfire version

Hello, I am using openfire 3.8.1 at present. I want to know which version of Jetty is used inside this openfire 3.8.1. We want to upgrade Jetty version to latest.
I want help in below.
(1) I want to know , Openfire version and corresponding Jetty version support(Starting with Openfire 3.8.1 to latest) .
(2) What are the steps to upgrade only jetty version , without changing Openfire version 3.8.1?

  1. there is no table or a person who will be able to provide such detailed information. You can check changelogs and look for tickets mentioning Jetty.

  2. again, no list of steps. It will require modifying Openfire code to work with the latest version of Jetty. I don’t know the scope, but i assume it can require a lot of changes. Then it won’t be Openfire 3.8.1 anymore.

I don’t know if this is possible. Please note that Openfire 3.8.1 is dangerously old. I strongly advise you to upgrade all of Openfire, not just one component.

I have looked through a few tickets and it looks like it might be easier than i have anticipated, but some API changes happened since Jetty 7 going to 9.